splom2-methods {copula} | R Documentation

## Methods for Scatter Plot Matrix 'splom2' in Package 'copula'

### Description

Methods `splom2()` to draw scatter-plot matrices of (random samples of) distributions from package copula.

### Usage

    ## S4 method for signature 'matrix'
    splom2(x, varnames = NULL, varnames.null.lab = "U",
          xlab = "", col.mat = NULL, bg.col.mat = NULL, ...)
    ## S4 method for signature 'data.frame'
    splom2(x, varnames = NULL, varnames.null.lab = "U",
          xlab = "", col.mat = NULL, bg.col.mat = NULL, ...)
    ## S4 method for signature 'Copula'
    splom2(x, n, ...)
    ## S4 method for signature 'mvdc'
    splom2(x, n, varnames.null.lab = "X", ...)

### Arguments

`x` | a `"matrix"`, `"data.frame"`, `"Copula"` or a `"mvdc"` object.
`n` | when `x` is not matrix-like: The sample size of the random sample drawn from `x`.
`varnames` | the variable names, typically unspecified.
`varnames.null.lab` | the `character` string determining the “base name” of the variable labels in case `varnames` is `NULL` and `x` does not have all column names given.
`xlab` | the x-axis label.
`col.mat` | a matrix of colors for the plot symbols (the default is the setting as obtained from `trellis.par.get("plot.symbol")$col`).
`bg.col.mat` | a matrix of colors for the background (the default is the setting as obtained from `trellis.par.get("background")$col`).
`...` | additional arguments passed to the underlying `splom()`.

### Value

From `splom()`, an R object of class `"trellis"`.

### See Also

`pairs2()` for a similar function (for matrices and data frames) based on `pairs()`.

### Examples

    ## For 'matrix' objects
    ## Create a 100 x 7 matrix of random variates from a t distribution
    ## with four degrees of freedom and plot the generated data
    n <- 1000 # sample size
    d <- 3 # dimension
    nu <- 4 # degrees of freedom
    tau <- 0.5 # Kendall's tau
    th <- iTau(tCopula(df = nu), tau) # corresponding parameter
    cop <- tCopula(th, dim = d, df = nu) # define copula object
    set.seed(271)
    U <- rCopula(n, copula = cop)
    splom2(U)

    ## For 'copula' objects
    set.seed(271)
    splom2(cop, n = n) # same as above

    ## For 'rotCopula' objects: ---> Examples in rotCopula

    ## For 'mvdc' objects
    mvNN <- mvdc(cop, c("norm", "norm", "exp"),
                 list(list(mean = 0, sd = 1), list(mean = 1), list(rate = 2)))
    splom2(mvNN, n = n)

[Package copula version 0.999-15 Index]